Skip to content
Hexel StudioDocs

Create approval request

POST/approvals/requests

The workflow must belong to the caller's organization; the requester is the caller.

Headers

Bearer <token>.

Body parameters

Request

created_atoptional string
expires_atoptional string
idoptional string
reasonoptional string
request_dataoptional array of integer
request_typeoptional string
requester_user_idoptional string
statusoptional string
updated_atoptional string
workflow_idoptional string

Returns

201CreatedApprovalRequest

created_atoptional string
expires_atoptional string
idoptional string
reasonoptional string
request_dataoptional array of integer
request_typeoptional string
requester_user_idoptional string
statusoptional string
updated_atoptional string
workflow_idoptional string

Errors

  • 400Bad Request
  • 404Not Found